/* ####################### Style  alle Seiten  #################### */   

 :root {
  --schrift-w: #c7c7c2;    
  /*--schrift-bl: #0572df; */
  --schrift-bl: #ff6347;   
  --hg: rgb(10, 10, 10);
  --nav-hg: rgb(10, 10, 10);  
  --stueck_date:  rgb(46, 44, 44);                
  --stueck_date_border: #797a77;    

  --raleway: 'Raleway', sans-serif;
  --display: 'DM Serif Display', serif;
} 


* { 
   padding:0; 
   margin:0; 
}


body{ 
   max-width: 1920px;
   margin: auto;
   background-color: var(--hg);
   font-family: var(--raleway);
   letter-spacing: 1px;
   font-size: 15px; 
   color: var(--schrift-w);
}

          
img, video{ 
   max-width: 100%;
}

/* =========================
   HERO
   ========================= */
/* Standard: Desktop-Version anzeigen, Mobile verstecken */
.bild-container {
    display: block;
}

.bild-mobil-container {
    display: none;
}

/* Unter 1000px: Rollen tauschen */
@media screen and (max-width: 800px) {
    .bild-container {
        display: none;
    }

    .bild-mobil-container {
        display: block;
    }

    .bild-mobil-container {
        /* WICHTIG: Erlaubt absolute Positionierung des Kindes */
        position: relative; 
        /* Verhindert, dass Inhalt, der zu hoch ist, unten rausschaut */
        overflow: hidden; 
    }

    .bild-mobil-container .overlay-content {
        /* Positioniert das Overlay ganz oben */
        top: 0;
        /* Behält die horizontale Zentrierung bei, entfernt aber die vertikale */
        transform: translate(-50%, 0); 
        
        /* Optional: Ein kleiner Abstand nach oben, damit der Text nicht am Rand klebt */
        padding-top: 20px; 
    }    
}

@media screen and (max-width: 600px) {
    /* Blendet beide Button-Varianten unter 600px aus */
    .button-container, 
    .button-mobil-container {
        display: none !important;
    }

    .info-container, 
    .button-mobil-container {
        display: none !important;
    }

    /* Optional: Falls der Abstand nach den Buttons zu groß ist, 
       kannst du hier das Overlay etwas anpassen */
    .overlay-content {
        width: 90%; /* Verhindert, dass Text am Displayrand klebt */
    }
}

.bild-container {
    position: relative;
    max-width: 1920px;
}

.transparent {
   opacity: 0.40;
   width: 100%;
}

.overlay-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

/* HEADLINE */
/* 1. Standard-Einstellung (Mobile First) */
.headline {
    font-family: var(--display);
    font-size: clamp(20px, 1rem + 3vw, 45px); 
    white-space: nowrap;
    letter-spacing: 4px;
    font-weight: 800;
    color: var(--schrift-bl);
    padding-right: 20px; 
    box-sizing: border-box;
    opacity: 1;
}

.zusatzA{ 
   font-family: var(--display);
   font-weight: 300;  
   color: var(--schrift-w);
   font-size: clamp(20px, 1rem + 4vw, 95px);
   letter-spacing: 3px; 
   margin-top: -40px; 
   opacity: 1;
} 

/* 2. Einstellung für große Monitore (ab 1024px Breite) */
@media (min-width: 1024px) {
    .headline {
        font-size: clamp(45px, 1rem + 6.5vw, 100px);
    }
}

.beschreibung {
   max-width: 550px; 
   margin: auto;
   text-align: justify;  
}

/* =========================
   BUTTONS
   ========================= */

  
.button-container {
    margin-top: 20px;
    margin-right: 45px;
    display: flex;
    justify-content: center;
    gap: 35px;
}

.button-mobil-container {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.button {
    font-size: clamp(0.7rem, 4vw, 1.2rem);
    letter-spacing: 2px;
    padding: 12px 25px;
    border: 1px solid var(--schrift-w);
    background: transparent;
    color: var(--schrift-bl);
    cursor: pointer;
}

.button:hover {
    border: 1px solid var(--schrift-bl);
}

.info-container {
    display: flex;
    align-items: center;      /* Vertikale Ausrichtung am Strich */
    justify-content: center;   /* Horizontale Ausrichtung der Gruppe */
    gap: 30px;                /* Abstand zum Trennstrich */
    margin: 20px auto;        /* Abstand nach oben/unten & mittige Position */
    text-align: center;       /* Text in den Absätzen mittig ausrichten */
}

/* Der senkrechte Strich */
.divider {
    width: 2px;          /* Dicke des Strichs */
    height: 40px;        /* Höhe des Strichs */
    background-color: var(--schrift-w); 
    opacity: 0.3;
}

.farbe{
    opacity: 0.8;
}

.scroll-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: var(--raleway);
    gap: 10px;
    margin-right: 20px;
  }

  .nachunten {
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 2px;
    font-size: 12px;
  }

  .pulsing-line {
    transform-origin: top; /* Der Strich ist oben "festgenagelt" und wächst nur nach unten */
    /* Hier stellst du die Länge und Breite ein */
    width: 2px;
    height: 60px; 
    background-color: rgba(211, 48, 48, 0.8);
    
    /* Die Animation: Name | Dauer | Art | Unendlich */
    animation: pulse 2s ease-in-out infinite;
  }

  /* Die Logik der Animation */
  @keyframes pulse {
    0% {
      transform: scaleY(1);
      opacity: 1;
    }
    50% {
      transform: scaleY(1.5); /* Wird 50% länger */
      opacity: 0.3;          /* Wird schwächer */
    }
    100% {
      transform: scaleY(1);
      opacity: 1;
    }
  }

/* =========================
   INHALT
   ========================= */
.inhalt {
    max-width: 1000px;
    margin: auto;
    padding: 20px;

    scroll-margin-top: 100px;
}
   
.abstand {
  height: clamp(1.25rem, 4vw, 4rem);
}      

.gridbox{
  max-width: 1000px;
  height: auto;
  margin: auto;
  padding: 5px;
}      
      
.grid-inhalt {
   display: grid;
   grid-template-columns: 1fr 1fr;
   place-items: center; /* Zentriert vertikal und horizontal */
   grid-gap: 35px;
   padding: 10px;
 }
 
 @media (max-width: 859px) {
   .grid-inhalt {
     grid-template-columns: auto;
   }
  
}

 .rahmen{
  padding: 8px;
  border: thin solid var(--schrift-bl);
  border-radius: 2px;
 }

h1{ 
   font-family: var(--display);
   font-weight: 500;  
   color: var(--schrift-bl);
   font-size: clamp(20px, 1rem + 4vw, 35px);
   white-space: nowrap;
   letter-spacing: 2px; 
} 

h2{ 
   font-family: var(--display);
   font-weight: 500;  
   color: var(--schrift-bl);
   font-size: clamp(20px, 1rem + 4vw, 38px);
   white-space: nowrap;
   letter-spacing: 2px; 
} 

.zusatzB{ 
   font-family: var(--display);
   font-weight: 000;  
   color: var(--schrift-w);
   font-size: clamp(20px, 1rem + 4vw, 30px);
   letter-spacing: 2px; 
   margin-top: -12px;
   margin-left: 10px;
} 
   
p{ 
   font-weight: 400;  
   color: var(--schrift-w);
   font-size: 17px;
   line-height: 24px;
   font-style: italic;
   letter-spacing: 1px; 
   hyphens: auto;  /* hyphens auto = Silbentrennung */
} 

figcaption{ 
   font-family: var(--raleway); 
   font-size: 12px;
   line-height: 20px;
   font-weight: 200;
   font-style: italic;
   letter-spacing: 1px;
   margin-top: -3px; 
   margin-left: 5px; 
   color: var(--schrift-w);
   } 
.blocksatz{  
   text-align: justify; 
   hyphens: auto;
}      

@media(max-width: 300px){ 
   .blocksatz{ 
      text-align: left; 
   }   
} 


.fusszeile {
   max-width: 1700px;
   margin: auto;
   height: auto;
   border-top: double 4px var(--schrift-bl);
   text-align: center;
}

.logo-abstand {
   padding: 8px; /* Abstand in der Fuszzeile */
}

.schrift {
   color: var(--schrift-w);
   font-style: italic;
   font-weight: 300;
}

.schrift:hover {
   color: var(--schrift-w);
   text-decoration: underline;
}



